#
# spec file for package dream
#
 
Name:           dream
Version:        2.1.1
Release:        lp152.3.2
Summary:        Digital Radio Mondiale (DRM) software receiver
License:        GPL-2.0
Group:          Productivity/Hamradio/Other
Url:            http://drm.sourceforge.net/
Source:         http://downloads.sourceforge.net/project/drm/%{name}/%{version}/%{name}-%{version}-svn808.tar.gz
Source1:        dream.png
Patch0:         dream-2.1.1-opensuse-config-diffs.patch
Patch1:         dream-2.1.1-gps_read.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  alsa-devel
BuildRequires:  fftw-devel
BuildRequires:  gcc-c++
BuildRequires:  glibc-devel
BuildRequires:  gpsd-devel
BuildRequires:  hamlib-devel
BuildRequires:  libQt5Core-devel
BuildRequires:  libQt5WebKit5-devel
BuildRequires:  libQt5WebKitWidgets-devel
BuildRequires:  libQt5Xml-devel
BuildRequires:  libopus-devel
BuildRequires:  libpcap-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libpulse-devel
#BuildRequires:  qt-devel
BuildRequires:  qwt6-qt5-devel
BuildRequires:  speex-devel
BuildRequires:  update-desktop-files

%description
Digital Radio Mondiale (DRM) is the digital radio standard for
the long, medium and short wave ranges.

Dream is an open source software implementation of a DRM receiver.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
qmake-qt5
make %{?_smp_mflags}

%install
make INSTALL_ROOT=%{buildroot} install

%suse_update_desktop_file -c dream Dream 'DRM software receiver' dream dream 'Network;HamRadio'

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README 
%{_bindir}/dream
%{_mandir}/man1/dream.1.gz
%{_datadir}/pixmaps/dream.png
%{_datadir}/applications/dream.desktop

%changelog
* Mon Feb 17 2020 novell@tower-net.de
- fixes for build and run on current distributions
* Fri Jan 23 2015 dl8fcl@darc.de
- speex enabled, clean up of spec file
* Mon Nov 26 2012 dl8fcl@darc.de
- imported to the hamradio repository
- desktop file and icon added
* Tue Oct 23 2012 Julian Cable <jcable@sf.net>
- Qt4 and others
* Sun Apr 24 2005 Alexander Kurpiers <kurpiers@sf.net>
- add libjournaline and hamlib
* Wed Dec 17 2003 Alexander Kurpiers <kurpiers@sf.net>
- some changes for RedHat
* Sun Nov 30 2003 Tomi Manninen <oh2bns@sral.fi>
- First try
